Bug 998133 - bluetoothd (5.8-2) creates fifo /tmp/hogsuspend; /run?
bluetoothd (5.8-2) creates fifo /tmp/hogsuspend; /run?
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 11:55 EDT by Tom London
Modified: 2016-07-19 06:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:17:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2013-08-17 11:55:32 EDT
Description of problem:
I'm seeing SELinux AVCs like:

time->Sat Aug 17 08:42:18 2013
type=USER_AVC msg=audit(1376754138.830:19): pid=476 uid=81 auid=4294967295 ses=4294967295  subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_call interface=org.freedesktop.DBus.Properties member=GetAll dest=org.freedesktop.hostname1 spid=438 tpid=540 scontext=system_u:system_r:bluetooth_t:s0 tcontext=system_u:system_r:systemd_hostnamed_t:s0 tclass=dbus  exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'
----
time->Sat Aug 17 08:42:18 2013
type=AVC msg=audit(1376754138.107:17): avc:  denied  { create } for  pid=438 comm="bluetoothd" name="hogsuspend" scontext=system_u:system_r:bluetooth_t:s0 tcontext=system_u:object_r:tmp_t:s0 tclass=fifo_file

And with an enforcing boot, /tmp/hogsuspend doesn't get created.

So, appears bluetoothd wants to create a fifo file in /tmp/hogsuspend.

Booting in permissive mode produced more AVCs:

time->Fri Aug 16 06:20:19 2013
type=PATH msg=audit(1376659219.955:44): item=1 name="/tmp/hogsuspend" inode=15202 dev=00:21 mode=010600 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:tmp_t:s0
type=PATH msg=audit(1376659219.955:44): item=0 name="/tmp/" inode=9781 dev=00:21 mode=041777 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:tmp_t:s0
type=CWD msg=audit(1376659219.955:44):  cwd="/"
type=SYSCALL msg=audit(1376659219.955:44): arch=c000003e syscall=133 success=yes exit=0 a0=7fc4ffb34b1b a1=1180 a2=0 a3=7fffb19e64d8 items=2 ppid=1 pid=440 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm="bluetoothd" exe="/usr/libexec/bluetooth/bluetoothd" subj=system_u:system_r:initrc_t:s0 key=(null)
type=AVC msg=audit(1376659219.955:44): avc:  denied  { create } for  pid=440 comm="bluetoothd" name="hogsuspend" scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:tmp_t:s0 tclass=fifo_file
----
time->Fri Aug 16 06:20:19 2013
type=PATH msg=audit(1376659219.955:45): item=0 name="/tmp/hogsuspend" inode=15202 dev=00:21 mode=010600 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:tmp_t:s0
type=CWD msg=audit(1376659219.955:45):  cwd="/"
type=SYSCALL msg=audit(1376659219.955:45): arch=c000003e syscall=2 success=yes exit=10 a0=7fc4ffb34b1b a1=800 a2=0 a3=7fffb19e64d8 items=1 ppid=1 pid=440 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm="bluetoothd" exe="/usr/libexec/bluetooth/bluetoothd" subj=system_u:system_r:initrc_t:s0 key=(null)
type=AVC msg=audit(1376659219.955:45): avc:  denied  { open } for  pid=440 comm="bluetoothd" path="/tmp/hogsuspend" dev="tmpfs" ino=15202 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:tmp_t:s0 tclass=fifo_file
type=AVC msg=audit(1376659219.955:45): avc:  denied  { read } for  pid=440 comm="bluetoothd" name="hogsuspend" dev="tmpfs" ino=15202 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:tmp_t:s0 tclass=fifo_file

Shouldn't this fifo be in /run/ somewhere?

Version-Release number of selected component (if applicable):
bluez-5.8-2.fc20.x86_64

How reproducible:
Every boot

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2013-08-26 10:24:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-09-16 12:35:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Tomasz Torcz 2014-08-22 08:55:21 EDT
Ping? Any news on  either moving it to /run or disabling this *testing* backend?
Comment 4 Fedora End Of Life 2015-05-29 05:19:46 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Tomasz Torcz 2015-05-29 05:30:31 EDT
# ls -l /tmp/hogsuspend ; grep PRETTY_NAME /etc/os-release 
prw-------. 1 root root 0 05-27 11:01 /tmp/hogsuspend
PRETTY_NAME="Fedora 22 (Twenty Two)"
Comment 7 Fedora End Of Life 2016-07-19 06:17:08 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.